DESKTOP(1)

NAME
desktop - switch the window system to be invoked upon login

SYNOPSIS
desktop [ openwin ] [ sunview ]

AVAILABILITY

Available beginning with SunOS 4.1.1 Rev B.

DESCRIPTION
desktop switches the window system to be invoked upon your login between OpenWindows and SunView. This only applies if the user is using the default .cshrc file supplied from /usr/lib/Cshrc and has not modified the window system invocation code section. With no arguments, desktop prompts you to enter the window system you want invoked. The desired window system can also be supplied on the command line.

If the add_user (8) program is used to add a new user's account, the /usr/lib/Cshrc file is copied into the file .cshrc in the user's home directory. Alternatively, this may be done manually. In either case, if this file's window system invocation code is not thereafter modified, desktop switches window systems as specified.

A confirmation message is displayed for the window system chosen. An instructional message is then displayed indicating the steps to execute to activate this: exiting the system and logging back in.

OPTIONS

openwin
    Modify window system invocation code in ~/.cshrc to execute OpenWindows.

sunview
    Modify window system invocation code in ~/.cshrc to execute SunView.

FILES

/usr/lib/Cshrc
    default file for setting up a user's environment
~/.cshrc
    user's own file for setting up their environment